Index: /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4647)
+++ /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4648)
@@ -6470,81 +6275,81 @@
 
       first = .FALSE.
-      r0  = (/   6.0_wp,   8.0_wp,  10.0_wp, 15.0_wp,  20.0_wp,  25.0_wp,   &
-                30.0_wp,  40.0_wp,  50.0_wp, 60.0_wp,  70.0_wp, 100.0_wp,   &
+      r0  = (/   6.0_wp,   8.0_wp,  10.0_wp, 15.0_wp,  20.0_wp,  25.0_wp,                          &
+                30.0_wp,  40.0_wp,  50.0_wp, 60.0_wp,  70.0_wp, 100.0_wp,                          &
                150.0_wp, 200.0_wp, 300.0_wp /)
 
-      rat = (/ 0.00_wp, 0.05_wp, 0.10_wp, 0.15_wp, 0.20_wp, 0.25_wp,        &
-               0.30_wp, 0.35_wp, 0.40_wp, 0.45_wp, 0.50_wp, 0.55_wp,        &
-               0.60_wp, 0.65_wp, 0.70_wp, 0.75_wp, 0.80_wp, 0.85_wp,        &
+      rat = (/ 0.00_wp, 0.05_wp, 0.10_wp, 0.15_wp, 0.20_wp, 0.25_wp,                               &
+               0.30_wp, 0.35_wp, 0.40_wp, 0.45_wp, 0.50_wp, 0.55_wp,                               &
+               0.60_wp, 0.65_wp, 0.70_wp, 0.75_wp, 0.80_wp, 0.85_wp,                               &
                0.90_wp, 0.95_wp, 1.00_wp /)
 
-      ecoll(:,1)  = (/ 0.001_wp, 0.001_wp, 0.001_wp, 0.001_wp, 0.001_wp,    &
-                       0.001_wp, 0.001_wp, 0.001_wp, 0.001_wp, 0.001_wp,    &
+      ecoll(:,1)  = (/ 0.001_wp, 0.001_wp, 0.001_wp, 0.001_wp, 0.001_wp,                           &
+                       0.001_wp, 0.001_wp, 0.001_wp, 0.001_wp, 0.001_wp,                           &
                        0.001_wp, 0.001_wp, 0.001_wp, 0.001_wp, 0.001_wp /)
-      ecoll(:,2)  = (/ 0.003_wp, 0.003_wp, 0.003_wp, 0.004_wp, 0.005_wp,    &
-                       0.005_wp, 0.005_wp, 0.010_wp, 0.100_wp, 0.050_wp,    &
+      ecoll(:,2)  = (/ 0.003_wp, 0.003_wp, 0.003_wp, 0.004_wp, 0.005_wp,                           &
+                       0.005_wp, 0.005_wp, 0.010_wp, 0.100_wp, 0.050_wp,                           &
                        0.200_wp, 0.500_wp, 0.770_wp, 0.870_wp, 0.970_wp /)
-      ecoll(:,3)  = (/ 0.007_wp, 0.007_wp, 0.007_wp, 0.008_wp, 0.009_wp,    &
-                       0.010_wp, 0.010_wp, 0.070_wp, 0.400_wp, 0.430_wp,    &
+      ecoll(:,3)  = (/ 0.007_wp, 0.007_wp, 0.007_wp, 0.008_wp, 0.009_wp,                           &
+                       0.010_wp, 0.010_wp, 0.070_wp, 0.400_wp, 0.430_wp,                           &
                        0.580_wp, 0.790_wp, 0.930_wp, 0.960_wp, 1.000_wp /)
-      ecoll(:,4)  = (/ 0.009_wp, 0.009_wp, 0.009_wp, 0.012_wp, 0.015_wp,    &
-                       0.010_wp, 0.020_wp, 0.280_wp, 0.600_wp, 0.640_wp,    &
+      ecoll(:,4)  = (/ 0.009_wp, 0.009_wp, 0.009_wp, 0.012_wp, 0.015_wp,                           &
+                       0.010_wp, 0.020_wp, 0.280_wp, 0.600_wp, 0.640_wp,                           &
                        0.750_wp, 0.910_wp, 0.970_wp, 0.980_wp, 1.000_wp /)
-      ecoll(:,5)  = (/ 0.014_wp, 0.014_wp, 0.014_wp, 0.015_wp, 0.016_wp,    &
-                       0.030_wp, 0.060_wp, 0.500_wp, 0.700_wp, 0.770_wp,    &
+      ecoll(:,5)  = (/ 0.014_wp, 0.014_wp, 0.014_wp, 0.015_wp, 0.016_wp,                           &
+                       0.030_wp, 0.060_wp, 0.500_wp, 0.700_wp, 0.770_wp,                           &
                        0.840_wp, 0.950_wp, 0.970_wp, 1.000_wp, 1.000_wp /)
-      ecoll(:,6)  = (/ 0.017_wp, 0.017_wp, 0.017_wp, 0.020_wp, 0.022_wp,    &
-                       0.060_wp, 0.100_wp, 0.620_wp, 0.780_wp, 0.840_wp,    &
+      ecoll(:,6)  = (/ 0.017_wp, 0.017_wp, 0.017_wp, 0.020_wp, 0.022_wp,                           &
+                       0.060_wp, 0.100_wp, 0.620_wp, 0.780_wp, 0.840_wp,                           &
                        0.880_wp, 0.950_wp, 1.000_wp, 1.000_wp, 1.000_wp /)
-      ecoll(:,7)  = (/ 0.030_wp, 0.030_wp, 0.024_wp, 0.022_wp, 0.032_wp,    &
-                       0.062_wp, 0.200_wp, 0.680_wp, 0.830_wp, 0.870_wp,    &
+      ecoll(:,7)  = (/ 0.030_wp, 0.030_wp, 0.024_wp, 0.022_wp, 0.032_wp,                           &
+                       0.062_wp, 0.200_wp, 0.680_wp, 0.830_wp, 0.870_wp,                           &
                        0.900_wp, 0.950_wp, 1.000_wp, 1.000_wp, 1.000_wp /)
-      ecoll(:,8)  = (/ 0.025_wp, 0.025_wp, 0.025_wp, 0.036_wp, 0.043_wp,    &
-                       0.130_wp, 0.270_wp, 0.740_wp, 0.860_wp, 0.890_wp,    &
+      ecoll(:,8)  = (/ 0.025_wp, 0.025_wp, 0.025_wp, 0.036_wp, 0.043_wp,                           &
+                       0.130_wp, 0.270_wp, 0.740_wp, 0.860_wp, 0.890_wp,                           &
                        0.920_wp, 1.000_wp, 1.000_wp, 1.000_wp, 1.000_wp /)
-      ecoll(:,9)  = (/ 0.027_wp, 0.027_wp, 0.027_wp, 0.040_wp, 0.052_wp,    &
-                       0.200_wp, 0.400_wp, 0.780_wp, 0.880_wp, 0.900_wp,    &
+      ecoll(:,9)  = (/ 0.027_wp, 0.027_wp, 0.027_wp, 0.040_wp, 0.052_wp,                           &
+                       0.200_wp, 0.400_wp, 0.780_wp, 0.880_wp, 0.900_wp,                           &
                        0.940_wp, 1.000_wp, 1.000_wp, 1.000_wp, 1.000_wp /)
-      ecoll(:,10) = (/ 0.030_wp, 0.030_wp, 0.030_wp, 0.047_wp, 0.064_wp,    &
-                       0.250_wp, 0.500_wp, 0.800_wp, 0.900_wp, 0.910_wp,    &
+      ecoll(:,10) = (/ 0.030_wp, 0.030_wp, 0.030_wp, 0.047_wp, 0.064_wp,                           &
+                       0.250_wp, 0.500_wp, 0.800_wp, 0.900_wp, 0.910_wp,                           &
                        0.950_wp, 1.000_wp, 1.000_wp, 1.000_wp, 1.000_wp /)
-      ecoll(:,11) = (/ 0.040_wp, 0.040_wp, 0.033_wp, 0.037_wp, 0.068_wp,    &
-                       0.240_wp, 0.550_wp, 0.800_wp, 0.900_wp, 0.910_wp,    &
+      ecoll(:,11) = (/ 0.040_wp, 0.040_wp, 0.033_wp, 0.037_wp, 0.068_wp,                           &
+                       0.240_wp, 0.550_wp, 0.800_wp, 0.900_wp, 0.910_wp,                           &
                        0.950_wp, 1.000_wp, 1.000_wp, 1.000_wp, 1.000_wp /)
-      ecoll(:,12) = (/ 0.035_wp, 0.035_wp, 0.035_wp, 0.055_wp, 0.079_wp,    &
-                       0.290_wp, 0.580_wp, 0.800_wp, 0.900_wp, 0.910_wp,    &
+      ecoll(:,12) = (/ 0.035_wp, 0.035_wp, 0.035_wp, 0.055_wp, 0.079_wp,                           &
+                       0.290_wp, 0.580_wp, 0.800_wp, 0.900_wp, 0.910_wp,                           &
                        0.950_wp, 1.000_wp, 1.000_wp, 1.000_wp, 1.000_wp /)
-      ecoll(:,13) = (/ 0.037_wp, 0.037_wp, 0.037_wp, 0.062_wp, 0.082_wp,    &
-                       0.290_wp, 0.590_wp, 0.780_wp, 0.900_wp, 0.910_wp,    &
+      ecoll(:,13) = (/ 0.037_wp, 0.037_wp, 0.037_wp, 0.062_wp, 0.082_wp,                           &
+                       0.290_wp, 0.590_wp, 0.780_wp, 0.900_wp, 0.910_wp,                           &
                        0.950_wp, 1.000_wp, 1.000_wp, 1.000_wp, 1.000_wp /)
-      ecoll(:,14) = (/ 0.037_wp, 0.037_wp, 0.037_wp, 0.060_wp, 0.080_wp,    &
-                       0.290_wp, 0.580_wp, 0.770_wp, 0.890_wp, 0.910_wp,    &
+      ecoll(:,14) = (/ 0.037_wp, 0.037_wp, 0.037_wp, 0.060_wp, 0.080_wp,                           &
+                       0.290_wp, 0.580_wp, 0.770_wp, 0.890_wp, 0.910_wp,                           &
                        0.950_wp, 1.000_wp, 1.000_wp, 1.000_wp, 1.000_wp /)
-      ecoll(:,15) = (/ 0.037_wp, 0.037_wp, 0.037_wp, 0.041_wp, 0.075_wp,    &
-                       0.250_wp, 0.540_wp, 0.760_wp, 0.880_wp, 0.920_wp,    &
+      ecoll(:,15) = (/ 0.037_wp, 0.037_wp, 0.037_wp, 0.041_wp, 0.075_wp,                           &
+                       0.250_wp, 0.540_wp, 0.760_wp, 0.880_wp, 0.920_wp,                           &
                        0.950_wp, 1.000_wp, 1.000_wp, 1.000_wp, 1.000_wp /)
-      ecoll(:,16) = (/ 0.037_wp, 0.037_wp, 0.037_wp, 0.052_wp, 0.067_wp,    &
-                       0.250_wp, 0.510_wp, 0.770_wp, 0.880_wp, 0.930_wp,    &
+      ecoll(:,16) = (/ 0.037_wp, 0.037_wp, 0.037_wp, 0.052_wp, 0.067_wp,                           &
+                       0.250_wp, 0.510_wp, 0.770_wp, 0.880_wp, 0.930_wp,                           &
                        0.970_wp, 1.000_wp, 1.000_wp, 1.000_wp, 1.000_wp /)
-      ecoll(:,17) = (/ 0.037_wp, 0.037_wp, 0.037_wp, 0.047_wp, 0.057_wp,    &
-                       0.250_wp, 0.490_wp, 0.770_wp, 0.890_wp, 0.950_wp,    &
+      ecoll(:,17) = (/ 0.037_wp, 0.037_wp, 0.037_wp, 0.047_wp, 0.057_wp,                           &
+                       0.250_wp, 0.490_wp, 0.770_wp, 0.890_wp, 0.950_wp,                           &
                        1.000_wp, 1.000_wp, 1.000_wp, 1.000_wp, 1.000_wp /)
-      ecoll(:,18) = (/ 0.036_wp, 0.036_wp, 0.036_wp, 0.042_wp, 0.048_wp,    &
-                       0.230_wp, 0.470_wp, 0.780_wp, 0.920_wp, 1.000_wp,    &
+      ecoll(:,18) = (/ 0.036_wp, 0.036_wp, 0.036_wp, 0.042_wp, 0.048_wp,                           &
+                       0.230_wp, 0.470_wp, 0.780_wp, 0.920_wp, 1.000_wp,                           &
                        1.020_wp, 1.020_wp, 1.020_wp, 1.020_wp, 1.020_wp /)
-      ecoll(:,19) = (/ 0.040_wp, 0.040_wp, 0.035_wp, 0.033_wp, 0.040_wp,    &
-                       0.112_wp, 0.450_wp, 0.790_wp, 1.010_wp, 1.030_wp,    &
+      ecoll(:,19) = (/ 0.040_wp, 0.040_wp, 0.035_wp, 0.033_wp, 0.040_wp,                           &
+                       0.112_wp, 0.450_wp, 0.790_wp, 1.010_wp, 1.030_wp,                           &
                        1.040_wp, 1.040_wp, 1.040_wp, 1.040_wp, 1.040_wp /)
-      ecoll(:,20) = (/ 0.033_wp, 0.033_wp, 0.033_wp, 0.033_wp, 0.033_wp,    &
-                       0.119_wp, 0.470_wp, 0.950_wp, 1.300_wp, 1.700_wp,    &
+      ecoll(:,20) = (/ 0.033_wp, 0.033_wp, 0.033_wp, 0.033_wp, 0.033_wp,                           &
+                       0.119_wp, 0.470_wp, 0.950_wp, 1.300_wp, 1.700_wp,                           &
                        2.300_wp, 2.300_wp, 2.300_wp, 2.300_wp, 2.300_wp /)
-      ecoll(:,21) = (/ 0.027_wp, 0.027_wp, 0.027_wp, 0.027_wp, 0.027_wp,    &
-                       0.125_wp, 0.520_wp, 1.400_wp, 2.300_wp, 3.000_wp,    &
+      ecoll(:,21) = (/ 0.027_wp, 0.027_wp, 0.027_wp, 0.027_wp, 0.027_wp,                           &
+                       0.125_wp, 0.520_wp, 1.400_wp, 2.300_wp, 3.000_wp,                           &
                        4.000_wp, 4.000_wp, 4.000_wp, 4.000_wp, 4.000_wp /)
     ENDIF
 
 !
-!-- Calculate the radius class index of particles with respect to array r
-!-- Radius has to be in microns
+!-- Calculate the radius class index of particles with respect to array r.
+!-- Radius has to be in microns.
     ALLOCATE( ira(1:radius_classes) )
     DO  j = 1, radius_classes
@@ -6561,5 +6366,5 @@
 !
 !-- Two-dimensional linear interpolation of the collision efficiency.
-!-- Radius has to be in microns
+!-- Radius has to be in microns.
     DO  j = 1, radius_classes
        DO  i = 1, j
@@ -6572,11 +6377,10 @@
           IF ( ir < 16 )  THEN
              IF ( ir >= 2 )  THEN
-                pp = ( ( MAX( radclass(j), radclass(i) ) * 1.0E6_wp ) -     &
-                       r0(ir-1) ) / ( r0(ir) - r0(ir-1) )
+                pp = ( ( MAX( radclass(j), radclass(i) ) * 1.0E6_wp ) - r0(ir-1) )                 &
+                     / ( r0(ir) - r0(ir-1) )
                 qq = ( rq - rat(iq-1) ) / ( rat(iq) - rat(iq-1) )
-                ec(j,i) = ( 1.0_wp - pp ) * ( 1.0_wp - qq )                 &
-                          * ecoll(ir-1,iq-1)                                &
-                          + pp * ( 1.0_wp - qq ) * ecoll(ir,iq-1)           &
-                          + qq * ( 1.0_wp - pp ) * ecoll(ir-1,iq)           &
+                ec(j,i) = ( 1.0_wp - pp ) * ( 1.0_wp - qq ) * ecoll(ir-1,iq-1)                     &
+                          + pp * ( 1.0_wp - qq ) * ecoll(ir,iq-1)                                  &
+                          + qq * ( 1.0_wp - pp ) * ecoll(ir-1,iq)                                  &
                           + pp * qq * ecoll(ir,iq)
              ELSE
@@ -6602,10 +6406,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Interpolation of turbulent enhancement factor for collision efficencies
-!> following Wang and Grabowski (2009, Atmos. Sci. Let.)
-!------------------------------------------------------------------------------!
+!> Interpolation of turbulent enhancement factor for collision efficencies following
+!> Wang and Grabowski (2009, Atmos. Sci. Let.)
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE turb_enhance_eff
 
@@ -6641,56 +6445,55 @@
        first = .FALSE.
 
-       r0  = (/  10.0_wp, 20.0_wp, 30.0_wp, 40.0_wp, 50.0_wp, 60.0_wp,  &
-                100.0_wp /)
-
-       rat = (/ 0.0_wp, 0.1_wp, 0.2_wp, 0.3_wp, 0.4_wp, 0.5_wp, 0.6_wp, &
-                0.7_wp, 0.8_wp, 0.9_wp, 1.0_wp /)
+       r0  = (/  10.0_wp, 20.0_wp, 30.0_wp, 40.0_wp, 50.0_wp, 60.0_wp, 100.0_wp /)
+
+       rat = (/ 0.0_wp, 0.1_wp, 0.2_wp, 0.3_wp, 0.4_wp, 0.5_wp, 0.6_wp, 0.7_wp, 0.8_wp, 0.9_wp,    &
+                1.0_wp /)
 !
 !--    Tabulated turbulent enhancement factor at 100 cm**2/s**3
-       ecoll_100(:,1)  = (/  1.74_wp,   1.74_wp,   1.773_wp, 1.49_wp,  &
+       ecoll_100(:,1)  = (/  1.74_wp,   1.74_wp,   1.773_wp, 1.49_wp,                              &
                              1.207_wp,  1.207_wp,  1.0_wp /)
-       ecoll_100(:,2)  = (/  1.46_wp,   1.46_wp,   1.421_wp, 1.245_wp, &
+       ecoll_100(:,2)  = (/  1.46_wp,   1.46_wp,   1.421_wp, 1.245_wp,                             &
                              1.069_wp,  1.069_wp,  1.0_wp /)
-       ecoll_100(:,3)  = (/  1.32_wp,   1.32_wp,   1.245_wp, 1.123_wp, &
+       ecoll_100(:,3)  = (/  1.32_wp,   1.32_wp,   1.245_wp, 1.123_wp,                             &
                              1.000_wp,  1.000_wp,  1.0_wp /)
-       ecoll_100(:,4)  = (/  1.250_wp,  1.250_wp,  1.148_wp, 1.087_wp, &
+       ecoll_100(:,4)  = (/  1.250_wp,  1.250_wp,  1.148_wp, 1.087_wp,                             &
                              1.025_wp,  1.025_wp,  1.0_wp /)
-       ecoll_100(:,5)  = (/  1.186_wp,  1.186_wp,  1.066_wp, 1.060_wp, &
+       ecoll_100(:,5)  = (/  1.186_wp,  1.186_wp,  1.066_wp, 1.060_wp,                             &
                              1.056_wp,  1.056_wp,  1.0_wp /)
-       ecoll_100(:,6)  = (/  1.045_wp,  1.045_wp,  1.000_wp, 1.014_wp, &
+       ecoll_100(:,6)  = (/  1.045_wp,  1.045_wp,  1.000_wp, 1.014_wp,                             &
                              1.028_wp,  1.028_wp,  1.0_wp /)
-       ecoll_100(:,7)  = (/  1.070_wp,  1.070_wp,  1.030_wp, 1.038_wp, &
+       ecoll_100(:,7)  = (/  1.070_wp,  1.070_wp,  1.030_wp, 1.038_wp,                             &
                              1.046_wp,  1.046_wp,  1.0_wp /)
-       ecoll_100(:,8)  = (/  1.000_wp,  1.000_wp,  1.054_wp, 1.042_wp, &
+       ecoll_100(:,8)  = (/  1.000_wp,  1.000_wp,  1.054_wp, 1.042_wp,                             &
                              1.029_wp,  1.029_wp,  1.0_wp /)
-       ecoll_100(:,9)  = (/  1.223_wp,  1.223_wp,  1.117_wp, 1.069_wp, &
+       ecoll_100(:,9)  = (/  1.223_wp,  1.223_wp,  1.117_wp, 1.069_wp,                             &
                              1.021_wp,  1.021_wp,  1.0_wp /)
-       ecoll_100(:,10) = (/  1.570_wp,  1.570_wp,  1.244_wp, 1.166_wp, &
+       ecoll_100(:,10) = (/  1.570_wp,  1.570_wp,  1.244_wp, 1.166_wp,                             &
                              1.088_wp,  1.088_wp,  1.0_wp /)
-       ecoll_100(:,11) = (/ 20.3_wp,   20.3_wp,   14.6_wp,   8.61_wp,  &
+       ecoll_100(:,11) = (/ 20.3_wp,   20.3_wp,   14.6_wp,   8.61_wp,                              &
                              2.60_wp,   2.60_wp,   1.0_wp /)
 !
 !--    Tabulated turbulent enhancement factor at 400 cm**2/s**3
-       ecoll_400(:,1)  = (/  4.976_wp,  4.976_wp,  3.593_wp,  2.519_wp, &
+       ecoll_400(:,1)  = (/  4.976_wp,  4.976_wp,  3.593_wp,  2.519_wp,                            &
                              1.445_wp,  1.445_wp,  1.0_wp /)
-       ecoll_400(:,2)  = (/  2.984_wp,  2.984_wp,  2.181_wp,  1.691_wp, &
+       ecoll_400(:,2)  = (/  2.984_wp,  2.984_wp,  2.181_wp,  1.691_wp,                            &
                              1.201_wp,  1.201_wp,  1.0_wp /)
-       ecoll_400(:,3)  = (/  1.988_wp,  1.988_wp,  1.475_wp,  1.313_wp, &
+       ecoll_400(:,3)  = (/  1.988_wp,  1.988_wp,  1.475_wp,  1.313_wp,                            &
                              1.150_wp,  1.150_wp,  1.0_wp /)
-       ecoll_400(:,4)  = (/  1.490_wp,  1.490_wp,  1.187_wp,  1.156_wp, &
+       ecoll_400(:,4)  = (/  1.490_wp,  1.490_wp,  1.187_wp,  1.156_wp,                            &
                              1.126_wp,  1.126_wp,  1.0_wp /)
-       ecoll_400(:,5)  = (/  1.249_wp,  1.249_wp,  1.088_wp,  1.090_wp, &
+       ecoll_400(:,5)  = (/  1.249_wp,  1.249_wp,  1.088_wp,  1.090_wp,                            &
                              1.092_wp,  1.092_wp,  1.0_wp /)
-       ecoll_400(:,6)  = (/  1.139_wp,  1.139_wp,  1.130_wp,  1.091_wp, &
+       ecoll_400(:,6)  = (/  1.139_wp,  1.139_wp,  1.130_wp,  1.091_wp,                            &
                              1.051_wp,  1.051_wp,  1.0_wp /)
-       ecoll_400(:,7)  = (/  1.220_wp,  1.220_wp,  1.190_wp,  1.138_wp, &
+       ecoll_400(:,7)  = (/  1.220_wp,  1.220_wp,  1.190_wp,  1.138_wp,                            &
                              1.086_wp,  1.086_wp,  1.0_wp /)
-       ecoll_400(:,8)  = (/  1.325_wp,  1.325_wp,  1.267_wp,  1.165_wp, &
+       ecoll_400(:,8)  = (/  1.325_wp,  1.325_wp,  1.267_wp,  1.165_wp,                            &
                              1.063_wp,  1.063_wp,  1.0_wp /)
-       ecoll_400(:,9)  = (/  1.716_wp,  1.716_wp,  1.345_wp,  1.223_wp, &
+       ecoll_400(:,9)  = (/  1.716_wp,  1.716_wp,  1.345_wp,  1.223_wp,                            &
                              1.100_wp,  1.100_wp,  1.0_wp /)
-       ecoll_400(:,10) = (/  3.788_wp,  3.788_wp,  1.501_wp,  1.311_wp, &
+       ecoll_400(:,10) = (/  3.788_wp,  3.788_wp,  1.501_wp,  1.311_wp,                            &
                              1.120_wp,  1.120_wp,  1.0_wp /)
-       ecoll_400(:,11) = (/ 36.52_wp,  36.52_wp,  19.16_wp,  22.80_wp,  &
+       ecoll_400(:,11) = (/ 36.52_wp,  36.52_wp,  19.16_wp,  22.80_wp,                             &
                             26.0_wp,   26.0_wp,    1.0_wp /)
 
@@ -6698,5 +6501,5 @@
 
 !
-!-- Calculate the radius class index of particles with respect to array r0
+!-- Calculate the radius class index of particles with respect to array r0.
 !-- The droplet radius has to be given in microns.
     ALLOCATE( ira(1:radius_classes) )
@@ -6733,14 +6536,14 @@
           IF ( ir < 8 )  THEN
              IF ( ir >= 2 )  THEN
-                pp = ( MAX( radclass(j), radclass(i) ) * 1.0E6_wp -  &
-                       r0(ir-1) ) / ( r0(ir) - r0(ir-1) )
+                pp = ( MAX( radclass(j), radclass(i) ) * 1.0E6_wp - r0(ir-1) )                     &
+                     / ( r0(ir) - r0(ir-1) )
                 qq = ( rq - rat(iq-1) ) / ( rat(iq) - rat(iq-1) )
-                y2 = ( 1.0_wp - pp ) * ( 1.0_wp - qq ) * ecoll_100(ir-1,iq-1) + &
-                             pp * ( 1.0_wp - qq ) * ecoll_100(ir,iq-1)        + &
-                             qq * ( 1.0_wp - pp ) * ecoll_100(ir-1,iq)        + &
+                y2 = ( 1.0_wp - pp ) * ( 1.0_wp - qq ) * ecoll_100(ir-1,iq-1) +                    &
+                             pp * ( 1.0_wp - qq ) * ecoll_100(ir,iq-1)        +                    &
+                             qq * ( 1.0_wp - pp ) * ecoll_100(ir-1,iq)        +                    &
                              pp * qq              * ecoll_100(ir,iq)
-                y3 = ( 1.0-pp ) * ( 1.0_wp - qq ) * ecoll_400(ir-1,iq-1)      + &
-                             pp * ( 1.0_wp - qq ) * ecoll_400(ir,iq-1)        + &
-                             qq * ( 1.0_wp - pp ) * ecoll_400(ir-1,iq)        + &
+                y3 = ( 1.0-pp ) * ( 1.0_wp - qq ) * ecoll_400(ir-1,iq-1)      +                    &
+                             pp * ( 1.0_wp - qq ) * ecoll_400(ir,iq-1)        +                    &
+                             qq * ( 1.0_wp - pp ) * ecoll_400(ir-1,iq)        +                    &
                              pp * qq              * ecoll_400(ir,iq)
              ELSE
@@ -6757,12 +6560,12 @@
 !--       Linear interpolation of turbulent enhancement factor
           IF ( epsilon_collision <= 0.01_wp )  THEN
-             ecf(j,i) = ( epsilon_collision - 0.01_wp ) / ( 0.0_wp  - 0.01_wp ) * y1 &
-                      + ( epsilon_collision - 0.0_wp  ) / ( 0.01_wp - 0.0_wp  ) * y2
+             ecf(j,i) =   ( epsilon_collision - 0.01_wp ) / ( 0.0_wp  - 0.01_wp ) * y1             &
+                        + ( epsilon_collision - 0.0_wp  ) / ( 0.01_wp - 0.0_wp  ) * y2
           ELSEIF ( epsilon_collision <= 0.06_wp )  THEN
-             ecf(j,i) = ( epsilon_collision - 0.04_wp ) / ( 0.01_wp - 0.04_wp ) * y2 &
-                      + ( epsilon_collision - 0.01_wp ) / ( 0.04_wp - 0.01_wp ) * y3
+             ecf(j,i) =   ( epsilon_collision - 0.04_wp ) / ( 0.01_wp - 0.04_wp ) * y2             &
+                        + ( epsilon_collision - 0.01_wp ) / ( 0.04_wp - 0.01_wp ) * y3
           ELSE
-             ecf(j,i) = ( 0.06_wp - 0.04_wp ) / ( 0.01_wp - 0.04_wp ) * y2 &
-                      + ( 0.06_wp - 0.01_wp ) / ( 0.04_wp - 0.01_wp ) * y3
+             ecf(j,i) =   ( 0.06_wp - 0.04_wp ) / ( 0.01_wp - 0.04_wp ) * y2                       &
+                        + ( 0.06_wp - 0.01_wp ) / ( 0.04_wp - 0.01_wp ) * y3
           ENDIF
 
@@ -6775,21 +6578,21 @@
 
  END SUBROUTINE turb_enhance_eff
- 
- 
- !------------------------------------------------------------------------------!
+
+
+ !-------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-! This routine is a part of the Lagrangian particle model. Super droplets which 
-! fulfill certain criterion's (e.g. a big weighting factor and a large radius) 
-! can be split into several super droplets with a reduced number of 
-! represented particles of every super droplet. This mechanism ensures an
-! improved representation of the right tail of the drop size distribution with 
-! a feasible amount of computational costs. The limits of particle creation 
-! should be chosen carefully! The idea of this algorithm is based on 
-! Unterstrasser and Soelch, 2014. 
-!------------------------------------------------------------------------------!
+! This routine is a part of the Lagrangian particle model. Super droplets which fulfill certain
+! criterion's (e.g. a big weighting factor and a large radius) can be split into several super
+! droplets with a reduced number of represented particles of every super droplet. This mechanism
+! ensures an improved representation of the right tail of the drop size distribution with a feasible
+! amount of computational costs. The limits of particle creation should be chosen carefully! The
+! idea of this algorithm is based on Unterstrasser and Soelch, 2014.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_splitting
 
-    INTEGER(iwp) ::  i                !< 
+    INTEGER(iwp), PARAMETER ::  n_max = 100 !< number of radii bin for splitting functions
+
+    INTEGER(iwp) ::  i                !<
     INTEGER(iwp) ::  j                !<
     INTEGER(iwp) ::  jpp              !<
@@ -6798,8 +6601,6 @@
     INTEGER(iwp) ::  new_particles_gb !< counter of created particles within one grid box
     INTEGER(iwp) ::  new_size         !< new particle array size
-    INTEGER(iwp) ::  np               !< 
+    INTEGER(iwp) ::  np               !<
     INTEGER(iwp) ::  old_size         !< old particle array size
-
-    INTEGER(iwp), PARAMETER ::  n_max = 100 !< number of radii bin for splitting functions    
 
     LOGICAL ::  first_loop_stride_sp = .TRUE. !< flag to calculate constants only once
@@ -6818,5 +6619,5 @@
     REAL(wp) ::  m3_total                 !< average average over all PEs third moment of DSD
     REAL(wp) ::  mu                       !< spectral shape parameter of gamma distribution
-    REAL(wp) ::  nrclgb                   !< number of cloudy grid boxes (ql >= 1.0E-5 kg/kg) 
+    REAL(wp) ::  nrclgb                   !< number of cloudy grid boxes (ql >= 1.0E-5 kg/kg)
     REAL(wp) ::  nrclgb_total             !< average over all PEs of number of cloudy grid boxes
     REAL(wp) ::  nr                       !< number concentration of cloud droplets
@@ -6824,9 +6625,8 @@
     REAL(wp) ::  nr0                      !< intercept parameter of gamma distribution
     REAL(wp) ::  pirho_l                  !< pi * rho_l / 6.0
-    REAL(wp) ::  ql_crit = 1.0E-5_wp      !< threshold lwc for cloudy grid cells 
-                                          !< (Siebesma et al 2003, JAS, 60)
+    REAL(wp) ::  ql_crit = 1.0E-5_wp      !< threshold lwc for cloudy grid cells (Siebesma et al 2003, JAS, 60)
     REAL(wp) ::  rm                       !< volume averaged mean radius
     REAL(wp) ::  rm_total                 !< average over all PEs of volume averaged mean radius
-    REAL(wp) ::  r_min = 1.0E-6_wp        !< minimum radius of approximated spectra 
+    REAL(wp) ::  r_min = 1.0E-6_wp        !< minimum radius of approximated spectra
     REAL(wp) ::  r_max = 1.0E-3_wp        !< maximum radius of approximated spectra
     REAL(wp) ::  sigma_log = 1.5_wp       !< standard deviation of the LOG-distribution
@@ -6849,9 +6649,9 @@
           ENDDO
           r_bin(n_max) = 10.0_wp**( LOG10(r_min) + n_max * dlog - 0.5_wp * dlog )
-       ENDIF   
+       ENDIF
        factor_volume_to_mass =  4.0_wp / 3.0_wp * pi * rho_l
        pirho_l  = pi * rho_l / 6.0_wp
        IF ( weight_factor_split == -1.0_wp )  THEN
-          weight_factor_split = 0.1_wp * initial_weighting_factor 
+          weight_factor_split = 0.1_wp * initial_weighting_factor
        ENDIF
     ENDIF
@@ -6866,21 +6666,18 @@
                 new_particles_gb = 0
                 number_of_particles = prt_count(k,j,i)
-                IF ( number_of_particles <= 0  .OR.                            &  
-                     ql(k,j,i) < ql_crit )  CYCLE
+                IF ( number_of_particles <= 0  .OR.  ql(k,j,i) < ql_crit )  CYCLE
                 particles => grid_particles(k,j,i)%particles(1:number_of_particles)
 !
-!--             Start splitting operations. Each particle is checked if it
-!--             fulfilled the splitting criterion's. In splitting mode 'const'   
-!--             a critical radius  (radius_split) a critical weighting factor
-!--             (weight_factor_split) and a splitting factor (splitting_factor)
-!--             must  be prescribed (see particle_parameters). Super droplets 
-!--             which have a larger radius and larger weighting factor are split 
-!--             into 'splitting_factor' super droplets. Therefore, the weighting 
-!--             factor of  the super droplet and all created clones is reduced 
-!--             by the factor of 'splitting_factor'.
+!--             Start splitting operations. Each particle is checked if it fulfilled the splitting
+!--             criterion's. In splitting mode 'const' a critical radius  (radius_split) a critical
+!--             weighting factor (weight_factor_split) and a splitting factor (splitting_factor)
+!--             must be prescribed (see particle_parameters). Super droplets which have a larger
+!--             radius and larger weighting factor are split into 'splitting_factor' super droplets.
+!--             Therefore, the weighting factor of the super droplet and all created clones is
+!--             reduced by the factor of 'splitting_factor'.
                 DO  n = 1, number_of_particles
-                   IF ( particles(n)%particle_mask  .AND.                      &
-                        particles(n)%radius >= radius_split  .AND.             & 
-                        particles(n)%weight_factor >= weight_factor_split )    &
+                   IF ( particles(n)%particle_mask           .AND.                                 &
+                        particles(n)%radius >= radius_split  .AND.                                 &
+                        particles(n)%weight_factor >= weight_factor_split )                        &
                    THEN
 !
@@ -6888,10 +6685,10 @@
                       new_size = prt_count(k,j,i) + splitting_factor - 1
 !
-!--                   Cycle if maximum number of particles per grid box
-!--                   is greater than the allowed maximum number.
+!--                   Cycle if maximum number of particles per grid box is greater than the allowed
+!--                   maximum number.
                       IF ( new_size >= max_number_particles_per_gridbox )  CYCLE
 !
-!--                   Reallocate particle array if necessary. 
-                      IF ( new_size > SIZE(particles) )  THEN 
+!--                   Reallocate particle array if necessary.
+                      IF ( new_size > SIZE( particles ) )  THEN
                          CALL realloc_particles_array( i, j, k, new_size )
                       ENDIF
@@ -6899,18 +6696,15 @@
 !
 !--                   Calculate new weighting factor.
-                      particles(n)%weight_factor =  & 
-                         particles(n)%weight_factor / splitting_factor
+                      particles(n)%weight_factor = particles(n)%weight_factor / splitting_factor
                       tmp_particle = particles(n)
 !
 !--                   Create splitting_factor-1 new particles.
                       DO  jpp = 1, splitting_factor-1
-                         grid_particles(k,j,i)%particles(jpp+old_size) =       & 
-                            tmp_particle
-                      ENDDO  
+                         grid_particles(k,j,i)%particles(jpp+old_size) = tmp_particle
+                      ENDDO
                       new_particles_gb = new_particles_gb + splitting_factor - 1
-!   
+!
 !--                   Save the new number of super droplets for every grid box.
-                      prt_count(k,j,i) = prt_count(k,j,i) +                    &
-                                         splitting_factor - 1
+                      prt_count(k,j,i) = prt_count(k,j,i) + splitting_factor - 1
                    ENDIF
                 ENDDO
@@ -6920,9 +6714,9 @@
        ENDDO
 
-    ELSEIF ( i_splitting_mode == 2 )  THEN 
+    ELSEIF ( i_splitting_mode == 2 )  THEN
 !
 !--    Initialize summing variables.
        lwc          = 0.0_wp
-       lwc_total    = 0.0_wp 
+       lwc_total    = 0.0_wp
        m1           = 0.0_wp
        m1_total     = 0.0_wp
@@ -6942,6 +6736,5 @@
              DO  k = nzb+1, nzt
                 number_of_particles = prt_count(k,j,i)
-                IF ( number_of_particles <= 0  .OR.                            & 
-                     ql(k,j,i) < ql_crit )  CYCLE
+                IF ( number_of_particles <= 0  .OR.  ql(k,j,i) < ql_crit )  CYCLE
                 particles => grid_particles(k,j,i)%particles(1:number_of_particles)
                 nrclgb = nrclgb + 1.0_wp
